﻿using System;

namespace SharpRss.Models
{
    public class FeedModel
    {
        public FeedModel(string rssUrl)
        {
            Url = rssUrl;
            Id = Guid.NewGuid().ToString();
        }
        public string Id { get; set; }
        public string Url { get; set; }
        public string Title { get; set; } = string.Empty;
        public string GroupId { get; set; } = string.Empty;
        public string FeedType { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public string Language { get; set; } = string.Empty;
        public string Copyright { get; set; } = string.Empty;
        public DateTimeOffset DateAdded { get; set; }
        public DateTimeOffset LastUpdated { get; set; }
        public string ImageUrl { get; set; } = string.Empty;
        public string OriginalDocument { get; set; } = string.Empty;
    }
}
